pugs 6.2.13.12 now available for Arch Linux, with ghc 6.10 support

A new release of pugs, the world’s first Perl 6 implementation, has occured, and the Arch Linux packages for Pugs have been updated to build with both ghc 6.8.x and ghc 6.10 (now in the [testing] repository).

$ pugs
   ______
 /   __ 
    /  __  __  ______  ______     (P)erl 6
      __// / /  __ /  ___    (U)ser's
      /   _   /  ___     (G)olfing
     __   ____/ ____ /_____  (S)ystem
     /__/   /___/  /___/ /____/
                       /____/            Version: 6.2.13.11
                       /___/    Copyright 2005-2008, The Pugs Contributors
--------------------------------------------------------------------
 Web: http://pugscode.org/           Email: perl6-compiler@perl.org 

Welcome to Pugs -- Perl6 User's Golfing System
Type :h for help.

Loading Prelude... done.
pugs> 1 + 2
3

The main changes required were to the haskell-pugs-compat, haskell-pugs-drift 2.2.3.0-2 and haskell-hssyck 0.44-2 packages to add “–constraint=’base<4′” to ensure they built with the correct base version.

Enjoy the distro packages for your favorite Haskell applications.

About these ads

One response to “pugs 6.2.13.12 now available for Arch Linux, with ghc 6.10 support

  1. With so much of *pre-compiled* stuff available in ArchLinux’s repositories, I think it is good time to switch to ArchLinux.

    Thanks

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s